Name:		keepassxc
Version:	2.7.7
Release:	%mkrel 1
Summary:	Cross-platform password manager
License:	Boost and BSD and CC0 and GPLv3 and LGPLv2 and LGPLv2+ and LGPLv3+ and Public Domain
Group:		File tools
URL:		http://www.keepassxc.org
Source0:	https://github.com/keepassxreboot/keepassxc/releases/download/%{version}/keepassxc-%{version}-src.tar.xz
BuildRequires: ykpers-devel
BuildRequires: lib64argon2-devel
BuildRequires: lib64gcrypt-devel
BuildRequires: lib64gpg-error-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64sodium-devel
BuildRequires: lib64x11-devel 
BuildRequires: lib64xi-devel 
BuildRequires: lib64xtst-devel 
BuildRequires: lib64yubikey-devel
BuildRequires: libstdc++-devel
BuildRequires: libxcb-devel
BuildRequires: lib64qrencode-devel
BuildRequires: lib64botan2-devel

Obsoletes: keepassx
Provides: keepassx = %{version}-%{release}

Obsoletes: keepassx2
Provides: keepassx2 = %{version}-%{release}


%description
KeePassXC is a community fork of KeePassX
KeePassXC is an application for people with extremely high demands on secure
personal data management.
KeePassXC saves many different information e.g. user names, passwords, urls,
attachemts and comments in one single database. For a better management
user-defined titles and icons can be specified for each single entry.
Furthermore the entries are sorted in groups, which are customizable as well.
The integrated search function allows to search in a single group or the
complete database.
KeePassXC offers a little utility for secure password generation. The password
generator is very customizable, fast and easy to use. Especially someone who
generates passwords frequently will appreciate this feature.
The complete database is always encrypted either with AES (alias Rijndael) or
Twofish encryption algorithm using a 256 bit key. Therefore the saved
information can be considered as quite safe.


%prep
%setup -q
%autopatch -p1


%build
%cmake_qt5 \
	-DCMAKE_VERBOSE_MAKEFILE=OFF \
	-DWITH_TESTS=OFF \
	-DWITH_XC_ALL=ON \
	-DWITH_XC_UPDATECHECK=OFF

%make_build


%install
rm -rf %buildroot
%make_install -C build

desktop-file-edit \
	--add-mime-type application/x-keepassxc \
	%{buildroot}%{_datadir}/applications/org.keepassxc.KeePassXC.desktop

# Associate KDB* files
cat > x-keepassxc.desktop << EOF
[Desktop Entry]
Comment=
Hidden=false
Icon=keepassxc.png
MimeType=application/x-keepassxc
Patterns=*.kdb;*.KDB;*.kdbx;*.KDBX*
Type=MimeType
EOF
install -D -m 644 -p x-keepassxc.desktop \
	%{buildroot}%{_datadir}/mimelnk/application/x-keepassxc.desktop

	
desktop-file-install --vendor="" \
  --add-category="Utility" \
  --add-category="X-KDE-Utilities-Desktop;X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
  	

	
%files
%{_bindir}
%{_datadir}
%{_libdir}

%post
%update_menus

%postun
%clean_menus

%changelog
* Thu Mar 21 2024 tex - 2.7.7-1pclos2024
- new version

* Mon Oct 31 2022 tex - 2.7.4-1pclos2022
- new version

* Mon Oct 24 2022 tex - 2.7.3-1pclos2022
- new version

* Wed Sep 21 2022 tex - 2.7.1-2pclos2022
- rebuild with different source tarball

* Tue Sep 20 2022 tex - 2.7.1-1pclos2022
- new version

* Tue Sep 20 2022 tex - 2.7.0-2pclos2022
- rebuild against updates

* Wed Mar 23 2022 tex - 2.7.0-1pclos2022
- new version

* Fri Oct 01 2021 tex - 2.6.4-4pclos2021
- obsoletes keepassx2

* Wed Sep 22 2021 tex - 2.6.4-3pclos2021
- obsolete keepasx

* Tue Sep 21 2021 tex - 2.6.4-2pclos2021
- rebuild against updates

* Mon Feb 08 2021 tex - 2.6.4-1pclos2021
- new version

* Wed Jan 20 2021 tex - 2.6.3-1pclos2021
- new version

* Thu Dec 31 2020 tex - 2.6.2-2pclos2021
- rebuild against updates

* Tue Dec 22 2020 tex - 2.6.2-1pclos2021
- new version

* Tue Dec 22 2020 tex - 2.6.1-3pclos2021
- rebuild against updates

* Sat Sep 12 2020 tex - 2.6.1-2pclos2020
- rebuild against updates

* Fri Aug 21 2020 tex - 2.6.1-1pclos2020
- new version

* Mon Jul 20 2020 tex - 2.6.0-1pclos2020
- new version

* Sat May 02 2020 daniel <meisssw01 at gmail.com> 2.5.4-1pclos2020
- update to 2.5.4

* Mon Jan 20 2020 tex - 2.5.3-1pclos2020
- New version: 2.5.3

* Tue Oct 29 2019 tex - 2.5.0-1pclos2019
- new version

* Sat Jul 13 2018 tex - 2.3.3-1pclos2018
- new
